Das Forum

PlayOnMac 4 beta 5 Leopard

Autor Antworten
Jump to the page: 1 - 2
1ns0m1ac Friday 12 August 2011 at 20:47
1ns0m1acAnonymous

Hi! can you tell me if Beta 5 supports Leopard (i mean OS X 10.5) :incertain: ??
if not.. did somebody knows when will be supported?..
Quentin PÂRIS Friday 12 August 2011 at 21:20
Quentin PÂRIS
Admin

It is not supported yet, I do all my possible to keep wine compatible with Leopard for the next release.

And I think there will be two file for PlayOnMac, one for leopard and the other for snow
1ns0m1ac Friday 12 August 2011 at 21:42
1ns0m1acAnonymous

GREEEATT!! =) thank you
Quentin PÂRIS Wednesday 17 August 2011 at 23:50
Quentin PÂRIS
Admin

PlayOnMac 4 is out. You need to download both files (PlayOnMac_4.0.1.dmg, for lion and Snow leopard and PlayOnLinux Leopard Launcher.zip), see the download page.

Place them into the same folder, and run PlayOnMac Leopard Lancher.

I've never tested it, so if you encounter problems, tell me so that I can fix it
mokas01 Thursday 18 August 2011 at 16:55
mokas01Anonymous

Hi,

My mac runs on 10.5.8 and the louncher doesn't work... It says :
"This tool is diseign for Mac OS10.5.

If you have a higher version, run directly PlayOnMac"

But I haven't !

Thanks for the help !
Quentin PÂRIS Thursday 18 August 2011 at 18:15
Quentin PÂRIS
Admin

Can you open a terminal and type uname -a, so that I can read your darwin version
mokas01 Thursday 18 August 2011 at 19:34
mokas01Anonymous

Thanks for the quick answer

Darwin Val.local 9.8.0 Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386 i386
Quentin PÂRIS Thursday 18 August 2011 at 19:57
Quentin PÂRIS
Admin

Can you redownload PlayOnMac Leopard Launcher.zip and retry ?
mokas01 Thursday 18 August 2011 at 20:04
mokas01Anonymous

Work better ! BUT...

As soon as it is launched, I have a message saying that this tool won't be perfect (!) but as soon as I click on close, everithing is closed (I can't see the application anymore, even in the activity panel...)

But i am already 1 step further ;-)

Thanks !
Quentin PÂRIS Thursday 18 August 2011 at 21:50
Quentin PÂRIS
Admin

Can you open it from a terminal ? Commands :

cd /Applications/PlayOnMac\\ Leopard\\ Launcher.app/Contents/MacOS
./playonmac

I need to have the errors
mokas01 Thursday 18 August 2011 at 22:05
mokas01Anonymous

Here they are :

button returned:Close
Val:MacOS Valerian$ Traceback (most recent call last):
File "mainwindow.py", line 30, in <module>
import wx
File "/BinaryCache/wxWidgets/wxWidgets-11~57/Root/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/__init__.py", line 45, in <module>
File "/BinaryCache/wxWidgets/wxWidgets-11~57/Root/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 14007, in <module>
File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/locale.py", line 512, in getpreferredencoding
File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/locale.py", line 476, in setlocale
locale.Error: unsupported locale setting

Quentin PÂRIS Thursday 18 August 2011 at 22:14
Quentin PÂRIS
Admin

What happen if you type in a terminal :

defaults read com.apple.dock loc

and

defaults read -g AppleLocale

?
mokas01 Thursday 18 August 2011 at 22:31
mokas01Anonymous

de_DE

and he second one

fr_FR
mokas01 Thursday 18 August 2011 at 22:32
mokas01Anonymous

may I ask why the languages used on my computer are a problem ?
Quentin PÂRIS Thursday 18 August 2011 at 22:36
Quentin PÂRIS
Admin

That's just weird. Is your computer in french or in german ?
mokas01 Thursday 18 August 2011 at 22:50
mokas01Anonymous

system installed in french and used in german
Quentin PÂRIS Thursday 18 August 2011 at 22:52
Quentin PÂRIS
Admin

o_O

That is the origin of the bug I think. Try just for a moment to use it in french
mokas01 Thursday 18 August 2011 at 23:06
mokas01Anonymous

Everything is in french, but it still doesn't work (I've tried the last command and now everithing is fr_FR. Let me 3 minutes, I do what you asked before and give you the errors if there is a change...
mokas01 Thursday 18 August 2011 at 23:08
mokas01Anonymous

Here they are :

button returned:Close
Val:MacOS Valerian$
Val:MacOS Valerian$ Traceback (most recent call last):
File "mainwindow.py", line 30, in <module>
import wx
File "/BinaryCache/wxWidgets/wxWidgets-11~57/Root/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/__init__.py", line 45, in <module>
File "/BinaryCache/wxWidgets/wxWidgets-11~57/Root/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 14007, in <module>
File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/locale.py", line 512, in getpreferredencoding
File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/locale.py", line 476, in setlocale
locale.Error: unsupported locale setting
mokas01 Thursday 18 August 2011 at 23:16
mokas01Anonymous

Here they are :

button returned:Close
Val:MacOS Valerian$
Val:MacOS Valerian$ Traceback (most recent call last):
File "mainwindow.py", line 30, in <module>
import wx
File "/BinaryCache/wxWidgets/wxWidgets-11~57/Root/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/__init__.py", line 45, in <module>
File "/BinaryCache/wxWidgets/wxWidgets-11~57/Root/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 14007, in <module>
File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/locale.py", line 512, in getpreferredencoding
File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/locale.py", line 476, in setlocale
locale.Error: unsupported locale setting